Bug 171150 - %rhbsys macro doesn't strip all hyphens from hostname
%rhbsys macro doesn't strip all hyphens from hostname
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 15:03 EDT by Charles R. Anderson
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 18:26:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2005-10-18 15:03:30 EDT
Description of problem:

The %rhbsys macro in the spec file tries to remove hyphens from the hostname of
the system on which the kernel is being built, but it fails to remove more than
one hyphen in a hostname that contains two or more hyphens.

Version-Release number of selected component (if applicable):

2.6.13-1.1526_FC4

Actual results:

> hostname -s
some-hostname-with-many-hyphens
...
kernel-2.6.13-1.1526_FC4.cra@somehostname-with-many-hyphens.i686.rpm

Expected results:

> hostname -s
some-hostname-with-many-hyphens
...
kernel-2.6.13-1.1526_FC4.cra@somehostnamewithmanyhyphens.i686.rpm

Additional info:

The fix is to add a 'g' to the end of the sed pattern:

%define rhbsys  %([ -r /etc/beehive-root -o -n "%{?__beehive_build}" ] && echo
|| echo .`whoami`@`hostname -s|sed s/-//g`)
Comment 1 Dave Jones 2005-10-20 21:03:03 EDT
fixed in the errata that should go out tomorrow
(you can also get it from http://people.redhat.com/davej/kernels/Fedora/FC4/
before then)
Comment 2 Dave Jones 2005-11-10 14:43:31 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.